import { Result } from '@tsfun/result';
export interface ConfigParser {
    /** Name of the parser */
    readonly name: string;
    /**
     * Should the loader accept the file?
     * @param filename Path to the file
     */
    testFileName(filename: string): boolean;
    /**
     * Parse the file
     * @param text Content of the file in text
     * @param filename Path to the file
     */
    parseConfigText(text: string, filename: string): Result<unknown, unknown>;
}
export declare function createJsonConfigParser(name: string): Promise<ConfigParser>;
export declare function createYamlConfigParser(name: string): Promise<ConfigParser>;
