"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const result_1 = require("@tsfun/result");
async function createJsonConfigParser(name) {
    const { extname } = await Promise.resolve().then(() => __importStar(require('path')));
    const EXT = ['.json', ''];
    const testFileName = (filename) => EXT.includes(extname(filename));
    const parseConfigText = (text) => result_1.tryExec(() => JSON.parse(text));
    return { name, testFileName, parseConfigText };
}
exports.createJsonConfigParser = createJsonConfigParser;
async function createYamlConfigParser(name) {
    const { extname } = await Promise.resolve().then(() => __importStar(require('path')));
    const { safeLoad } = await Promise.resolve().then(() => __importStar(require('js-yaml')));
    const EXT = ['.yaml', '.yml', ''];
    const testFileName = (filename) => EXT.includes(extname(filename));
    const parseConfigText = (text, filename) => result_1.tryExec(() => safeLoad(text, { filename }));
    return { name, testFileName, parseConfigText };
}
exports.createYamlConfigParser = createYamlConfigParser;
//# sourceMappingURL=config-parser.js.map