import { tryExec } from "@tsfun/result/index.mjs";
export async function createJsonConfigParser(name) {
  const {
    extname
  } = await import('path');
  const EXT = ['.json', ''];

  const testFileName = filename => EXT.includes(extname(filename));

  const parseConfigText = text => tryExec(() => JSON.parse(text));

  return {
    name,
    testFileName,
    parseConfigText
  };
}
export async function createYamlConfigParser(name) {
  const {
    extname
  } = await import('path');
  const {
    safeLoad
  } = await import('js-yaml');
  const EXT = ['.yaml', '.yml', ''];

  const testFileName = filename => EXT.includes(extname(filename));

  const parseConfigText = (text, filename) => tryExec(() => safeLoad(text, {
    filename
  }));

  return {
    name,
    testFileName,
    parseConfigText
  };
} //# sourceMappingURL=config-parser.js.map