"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fast_traverse_1 = tslib_1.__importDefault(require("fast-traverse"));
/** List all config files within a directory recursively */
async function* listConfigFiles(param) {
    const { ignored, pattern } = param;
    const { stat, readdir } = param.fsx;
    const { join } = param.path;
    const traversalResults = fast_traverse_1.default({
        deep: item => !ignored.includes(item.basename),
        dirname: param.root,
        stat,
        readdir,
        join
    });
    for await (const item of traversalResults) {
        for (const basename of item.list) {
            if (pattern.test(basename))
                yield join(item.dirname, basename);
        }
    }
}
exports.listConfigFiles = listConfigFiles;
//# sourceMappingURL=list-config.js.map