import traverse from "fast-traverse/index.mjs";
/** List all config files within a directory recursively */

export async function* listConfigFiles(param) {
  const {
    ignored,
    pattern
  } = param;
  const {
    stat,
    readdir
  } = param.fsx;
  const {
    join
  } = param.path;
  const traversalResults = traverse({
    deep: item => !ignored.includes(item.basename),
    dirname: param.root,
    stat,
    readdir,
    join
  });

  for await (const item of traversalResults) {
    for (const basename of item.list) {
      if (pattern.test(basename)) yield join(item.dirname, basename);
    }
  }
} //# sourceMappingURL=list-config.js.map