import { FSX, Path } from '@ts-schema-autogen/types';
/** List all config files within a directory recursively */
export declare function listConfigFiles(param: listConfigFiles.Param): AsyncGenerator<string, void, unknown>;
export declare namespace listConfigFiles {
    interface Param {
        /** `fs-extra` to list directories */
        readonly fsx: FSX.Mod;
        /** `path` module to manipulate paths */
        readonly path: Path.Mod;
        /** Root directory */
        readonly root: string;
        /** Ignored directories */
        readonly ignored: readonly string[];
        /** RegExp pattern that matches basename of config files */
        readonly pattern: RegExp;
    }
}
