"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@ts-schema-autogen/utils");
/**
 * Convert an output filename or descriptor into a descriptor
 * @param maybeDesc Output filename or output descriptor
 */
exports.ensureOutputDescriptor = (maybeDesc) => typeof maybeDesc === 'string' ? { filename: maybeDesc } : maybeDesc;
/**
 * Convert an output filename, descriptor, or array of either into an array of descriptors
 * @param maybeDesc Output filename, output descriptor or array of either
 */
exports.ensureOutputDescriptorArray = (maybeDesc) => utils_1.ensureArray(maybeDesc).map(exports.ensureOutputDescriptor);
//# sourceMappingURL=output-descriptor.js.map