import { ensureArray } from "@ts-schema-autogen/utils/index.mjs";
/**
 * Convert an output filename or descriptor into a descriptor
 * @param maybeDesc Output filename or output descriptor
 */

export const ensureOutputDescriptor = maybeDesc => typeof maybeDesc === 'string' ? {
  filename: maybeDesc
} : maybeDesc;
/**
 * Convert an output filename, descriptor, or array of either into an array of descriptors
 * @param maybeDesc Output filename, output descriptor or array of either
 */

export const ensureOutputDescriptorArray = maybeDesc => ensureArray(maybeDesc).map(ensureOutputDescriptor); //# sourceMappingURL=output-descriptor.js.map